Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113107 - antlr-maven-plugin: FTBFS in Fedora rawhide/f37
Summary: antlr-maven-plugin: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: antlr-maven-plugin
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:15 UTC by Fedora Release Engineering
Modified: 2023-11-16 13:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-16 13:29:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:15 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:15 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:15 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:15:24 UTC
antlr-maven-plugin failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89754489


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix antlr-maven-plugin at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
antlr-maven-plugin will be orphaned. Before branching of Fedora 38,
antlr-maven-plugin will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:15:26 UTC
Created attachment 1900768 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:15:28 UTC
Created attachment 1900769 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:15:29 UTC
Created attachment 1900770 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:23:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Fedora Release Engineering 2023-11-13 18:08:50 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 38.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2022-09-26).

A week before the mass branching of Fedora 39 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 37 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-39/f-39-key-tasks.html

Comment 6 Tom "spot" Callaway 2023-11-16 13:29:40 UTC
Retired this old, long obsolete package.


Note You need to log in before you can comment on or make changes to this bug.